<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xpath-default-namespace="http://www.tei-c.org/ns/1.0"  version="2.0">
    
    <xsl:template match="/TEI">
        <html>
            <head>
                <title>BD6776-dipl</title>
                <meta name="date" content="2009-06"/>
                <meta name="author" content="marcus bingenheimer"/>
                <meta name="keywords" content="manuscript, markup, TEI, Dunhuang, Buddhism"/>
                <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
                <style type="text/css">
                    * {background-color: efefef}  
                    img.gaiji {width:2em;}
                    a.gaiji {text-decoration:none; color:red;}
                </style>
            </head>
            <body>   
                
                <script type="text/javascript" src="wz_tooltip/wz_tooltip.js"></script>
                <h3>
                    This output tends towards a "diplomatic" edition of BD 6776
                </h3>
                <div><p>A diplomatic transcription of a single MS makes no attempt to establish "best" readings, indicating as far as possible the "state" of the text in this manuscript. Masai (1950) distinguishes three levels: the original reading, revisions made by correctors (before the MS left the scriptorium), and later alterations. (see: http://www.ualberta.ca/~sreimer/ms-course/course/editns.htm  (June 2009, slightly altered).</p>
                <p>To offer a diplomatic editions <b>only</b>  rarely makes sense today, usually a facsimile can be aligned with the transcription. A correct transcription, however, is important for search purposes and can serve as basis for later critical editions. Things to consider: keep punctuation and linebreaks as in the Ms, try to present characters close to the Ms as possible.</p></div>
               <div><xsl:apply-templates/></div>
               
            </body>
        </html>        
    </xsl:template>
    
    <!-- silence the header and the apparatus -->
    <xsl:template match="teiHeader"/>   
    <xsl:template match="text/body/div[@type='apparatus']"/>
    
     <xsl:template match="text/body/div[@type='text']">         
             <xsl:apply-templates/>
     </xsl:template>
    
    <xsl:template match="lg | p">        
       <xsl:apply-templates/>
     </xsl:template>
    
    <xsl:template match="lb[@ed='BD']">        
        <br/>
        <xsl:value-of select="substring-after(@n, '-')"/>        
        &#x00A0;
    </xsl:template>  
    
    <xsl:template match="l">
        <span><xsl:apply-templates/></span>
    </xsl:template>
    <xsl:template match="caesura">
        &#x00A0;&#x00A0;
    </xsl:template>
    
      
    <xsl:template match="g">
        <xsl:variable name="reg">
            <xsl:value-of select="/TEI/teiHeader/encodingDesc/charDecl/glyph[@xml:id =current()/@ref]/mapping[@type='regular']"/>
        </xsl:variable>
        <xsl:variable name="img">
            <xsl:value-of select="/TEI/teiHeader/encodingDesc/charDecl/glyph[@xml:id =current()/@ref]/graphic/@url"/>
        </xsl:variable>        
        
                <span style="color:red"><a class="gaiji" onmouseout="UnTip()" onmouseover="Tip('Normalized form of: &lt;br/>&lt;img src=&quot;{$img}&quot; width=&quot;150&quot; height=&quot;102&quot;>', WIDTH, 150, PADDING, 6, BGCOLOR, '#ffffff')" href="javascript:void(0);"><xsl:value-of select="$reg"/></a></span>
            
    </xsl:template>
    
    <xsl:template match="app">
        <span style="color:green" title="{rdg} in the {rdg/@wit} ">
        <xsl:if test="lem/g">
        <a class="gaiji" onmouseout="UnTip()" onmouseover="Tip(' {/TEI/teiHeader/encodingDesc/charDecl/glyph[@xml:id = current()/lem/g/@ref]/glyphName}. {rdg/@wit} has {rdg}.')" href="javascript:void(0);"><xsl:value-of select="lem"/></a>
        </xsl:if></span>
    </xsl:template>
    
    
    
   <!-- take out punctuation, notes, supplied passages etc. -->
       <xsl:template match="c"/>
    <xsl:template match="note"/>
    <xsl:template match="supplied"/>
       
</xsl:stylesheet>
